subroutine read_atom(filename,MAXLEV,n,lab,weight,energy,ups,aij)
! This is actually very flexible and can be extended to include tables of ups
!   
  use precision
  implicit none
  integer :: i,n,MAXLEV,j,nt
  character*(*) :: lab(MAXLEV),filename
  real(long) :: weight(MAXLEV),energy(MAXLEV),ups(MAXLEV,MAXLEV),aij(MAXLEV,MAXLEV)
  open(10,file=filename)
  read(10,*) n
! we read in labels but don't use them at the moment.
! It's nice to have them though.
! Units for the energy are cm^{-1} but one could include a conversion factor  
  do i = 1, n
    read(10,*) lab(i),weight(i),energy(i)
  enddo
! With n levels there are n*(n-1)/2 possible transitions.
!  Ups is dimensionless while aij is sec^{-1}
  do nt=1,n*(n-1)/2
    read(10,*) i,j,ups(j,i),aij(j,i)
  enddo
  return
end
